import java.util.Scanner;
import java.io.FileInputStream;

public class TriviaGame
{
	/*
	private String[] questions;
	private String[] answers;
	private int[] values;
	*/
	private Trivia[] trivia;

	private int score = 0;
	private int questionNum = 0;

	// Method that asks the next question, returns false if no more questions to ask
	// otherwise return true
	public boolean askNextQuestion()
	{
		if (questionNum >= trivia.length)
		{
			return false;
		}

		System.out.println();
		System.out.println("Question: " + questionNum);
		System.out.println(trivia[questionNum].getQuestion());

		Scanner keyboard = new Scanner(System.in);
		String answer = keyboard.nextLine();

		// Check if what the player typed in is correct
		if (answer.equalsIgnoreCase(trivia[questionNum].getAnswer()))
		{
			// Got the answer right
			System.out.println("That's right!");
			score += trivia[questionNum].getValue();
		}
		else
		{
			// Got the answer wrong
			System.out.println("Sorry, the correct answer is " + trivia[questionNum].getAnswer());
		}


		questionNum++;
		return true;
	}

	public TriviaGame()
	{
		// We are going to have five questions
		/*
		questions = new String[5];
		answers = new String[5];
		values = new int[5];
		*/

		Scanner inputStream = null;
		try
		{
			inputStream = new Scanner(new FileInputStream("trivia.txt"));
			int numQuestions = inputStream.nextInt();
			inputStream.nextLine();  // Discard newline left by nextInt
			trivia = new Trivia[numQuestions];
			for (int i = 0; i < numQuestions; i++)
			{
				String question = inputStream.nextLine();
				String answer = inputStream.nextLine();
				int value = inputStream.nextInt();
				inputStream.nextLine(); // Discard newline left by nextInt
				trivia[i] = new Trivia(question, answer, value);
			}

			inputStream.close();
		}
		catch (Exception e)
		{
			System.out.println("There was an error..." + e.getMessage());
		}

	}

	public static void main(String[] args)
	{
		TriviaGame game = new TriviaGame();

		while (game.askNextQuestion())
		{
			// Will add stuff here later to show the score
			System.out.println("Your score is: " + game.score);
		}
		System.out.println("Your final score is: " + game.score);
		System.out.println("Game over. Thanks for playing!");

	}

}